Debian Bug report logs - #442284
Kills (and breaks) GNOME panel

version graph

Package: xpenguins-applet; Maintainer for xpenguins-applet is Alexander Reichle-Schmehl <tolimar@debian.org>;

Reported by: antoine_blanche <antoine_blanche@laposte.net>

Date: Fri, 14 Sep 2007 17:57:01 UTC

Severity: grave

Tags: confirmed, patch

Found in version xpenguins-applet/2.1.1-5

Fixed in versions xpenguins-applet/2.1.1-6, xpenguins-applet/2.1.1-3.1etch1

Done: Alexander Schmehl <tolimar@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alexander Schmehl <tolimar@debian.org>:
Bug#442284; Package xpenguins-applet. Full text and rfc822 format available.

Acknowledgement sent to antoine_blanche <antoine_blanche@laposte.net>:
New Bug report received and forwarded. Copy sent to Alexander Schmehl <tolimar@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: antoine_blanche <antoine_blanche@laposte.net>
To: submit@bugs.debian.org
Subject: xpenguins-applet ne peut pas etre ajoute au tableau de bord de gnome
Date: Fri, 14 Sep 2007 19:54:34 +0200
Package: xpenguins-applet
Version: 2.1.1-5
Severity: normal
Tags: patch

--- Please enter the report below this line. ---
french

j ai essaye d ajouter l'applet xpenguins a mon tableau de bord de gnome
clic droit sur le tableau de bord > ajouter au tableau de bord > j ai mis xpenguins en surbrillance > clic sur ajouter

ensuite le pc se bloque quelques secondes puis le tableau de bord disparait puis se relance et me donne un message d erreur et me demande de supprimer cette applet

voici le message 

Le tableau de bord a rencontré un problème lors du chargement de « OAFIID:XPenguinsApplet ».
Voulez-vous supprimer l'applet de votre configuration ?


--- System information. ---
Architecture: i386
Kernel:       Linux 2.6.18-4-486

Debian Release: lenny/sid
  500 testing         security.debian.org 
  500 testing         ftp.pl.debian.org 
  500 stable          security.debian.org 
  500 stable          ftp.pl.debian.org 

--- Package information. ---
Depends                    (Version) | Installed
====================================-+-==============
xpenguins                 (>= 2.1-1) | 2.2-6
scrollkeeper              (>= 0.3.8) | 0.3.14-13
libart-2.0-2             (>= 2.3.16) | 2.3.19-3
libatk1.0-0              (>= 1.12.2) | 1.18.0-2
libbonobo2-0             (>= 2.13.0) | 2.18.0-2
libbonoboui2-0            (>= 2.5.4) | 2.18.0-5
libc6                   (>= 2.3.6-6) | 2.6.1-1+b1
libcairo2                 (>= 1.2.4) | 1.4.10-1
libfontconfig1            (>= 2.4.0) | 2.4.2-1.2
libgconf2-4              (>= 2.13.5) | 2.18.0.1-3
libglib2.0-0             (>= 2.12.0) | 2.14.0-2
libgnome-keyring0         (>= 0.6.0) | 0.8.1-2
libgnome2-0              (>= 2.14.1) | 2.18.0-4
libgnomecanvas2-0        (>= 2.11.1) | 2.14.0-3
libgnomeui-0             (>= 2.13.0) | 2.18.1-2
libgnomevfs2-0          (>= 2.13.92) | 1:2.18.1-2
libgtk2.0-0               (>= 2.8.0) | 2.10.13-1
libice6                 (>= 1:1.0.0) | 2:1.0.4-1
liborbit2              (>= 1:2.14.1) | 1:2.14.7-0.1
libpanel-applet2-0       (>= 2.14.3) | 2.18.3-2
libpango1.0-0            (>= 1.14.8) | 1.18.1-1
libpopt0                   (>= 1.10) | 1.10-3
libsm6                               | 2:1.0.3-1+b1
libx11-6                             | 2:1.0.3-7
libxcursor1               (>> 1.1.2) | 1:1.1.9-1
libxext6                             | 1:1.0.3-2
libxfixes3              (>= 1:4.0.1) | 1:4.0.3-2
libxi6                               | 2:1.1.2-1
libxinerama1                         | 1:1.0.2-1
libxml2                  (>= 2.6.27) | 2.6.30.dfsg-2
libxpm4                              | 1:3.5.7-1
libxrandr2                           | 2:1.2.1-1
libxrender1                          | 1:0.9.3-1
gconf2                 (>= 2.10.1-2) | 2.18.0.1-3







Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Schmehl <tolimar@debian.org>:
Bug#442284; Package xpenguins-applet. Full text and rfc822 format available.

Acknowledgement sent to Chris Lamb <chris@chris-lamb.co.uk>:
Extra info received and forwarded to list. Copy sent to Alexander Schmehl <tolimar@debian.org>. Full text and rfc822 format available.

Message #10 received at 442284@bugs.debian.org (full text, mbox):

From: Chris Lamb <chris@chris-lamb.co.uk>
To: 442284@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: #442284: xpenguins-applet ne peut pas etre ajoute au tableau de bord de gnome
Date: Sun, 13 Jan 2008 04:32:05 +0000
[Message part 1 (text/plain, inline)]
retitle 442284 Kills (and breaks) GNOME panel
severity grave
tags 442284 - patch
kthxbye

Antoine Blanche wrote (translated):

> The PC then hangs a few seconds and the [Gnome] panel disappears. An error
> message asks me whether I want to to delete this applet

I get a similar error, but in my case after flashing a few times the entire
GNOME panel is killed.

Futhermore, restarting via "gnome-panel" on a terminal does not restore it,
one has to alter GConf to ensure that the xpenguins applet is not reloaded.

As this (essentially) breaks the entire Gnome desktop, I am setting the
severity of this bug to grave. In addition, as I don't see how Antoine's
message included a patch I am removing the tag.


Regards,

-- 
Chris Lamb, UK                                       chris@chris-lamb.co.uk
                                                            GPG: 0x634F9A20
[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to `Kills (and breaks) GNOME panel' from `xpenguins-applet ne peut pas etre ajoute au tableau de bord de gnome'. Request was from Chris Lamb <chris@chris-lamb.co.uk> to control@bugs.debian.org. (Sun, 13 Jan 2008 04:39:07 GMT) Full text and rfc822 format available.

Tags removed: patch Request was from Chris Lamb <chris@chris-lamb.co.uk> to control@bugs.debian.org. (Sun, 13 Jan 2008 04:39:08 GMT) Full text and rfc822 format available.

Severity set to `grave' from `normal' Request was from Chris Lamb <chris@chris-lamb.co.uk> to control@bugs.debian.org. (Sun, 13 Jan 2008 05:00:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Schmehl <tolimar@debian.org>:
Bug#442284; Package xpenguins-applet. Full text and rfc822 format available.

Acknowledgement sent to "Alexander Schmehl" <alexander@schmehl.info>:
Extra info received and forwarded to list. Copy sent to Alexander Schmehl <tolimar@debian.org>. Full text and rfc822 format available.

Message #21 received at 442284@bugs.debian.org (full text, mbox):

From: "Alexander Schmehl" <alexander@schmehl.info>
To: control@bugs.debian.org,442284@bugs.debian.org
Subject: Giving up on this bug
Date: Fri, 04 Apr 2008 14:15:08 +0100
tags 442284 +help
tags 442284 +confirmed
thanks

Hi!

I'm giving up on this one; while I'm now able to reproduce this bug, I
have no glue how to fix it.  Considering that upstream is more or less
inactive and unreachable, I would propose to remove the package from the
archive if no one else has a good idea about that one.

Yours sincerely,
  Alexander




Tags added: help Request was from "Alexander Schmehl" <alexander@schmehl.info> to control@bugs.debian.org. (Fri, 04 Apr 2008 13:18:03 GMT) Full text and rfc822 format available.

Tags added: confirmed Request was from "Alexander Schmehl" <alexander@schmehl.info> to control@bugs.debian.org. (Fri, 04 Apr 2008 13:18:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Schmehl <tolimar@debian.org>:
Bug#442284; Package xpenguins-applet. Full text and rfc822 format available.

Acknowledgement sent to Tim Retout <tim@retout.co.uk>:
Extra info received and forwarded to list. Copy sent to Alexander Schmehl <tolimar@debian.org>. Full text and rfc822 format available.

Message #30 received at 442284@bugs.debian.org (full text, mbox):

From: Tim Retout <tim@retout.co.uk>
To: 442284@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: xpenguin-applet: Kills (and breaks) GNOME panel
Date: Fri, 04 Apr 2008 22:25:06 +0100
tags 442284 patch
kthxbye

Hi Alexander,

This patch should fix the double free.

--- xpenguins-applet-2.1.1.orig/src/applet_main.c
+++ xpenguins-applet-2.1.1/src/applet_main.c
@@ -326,7 +326,7 @@
     pixbuf1 = gdk_pixbuf_new_from_xpm_data ((const gchar**) xpm);
     pixbuf2 = gdk_pixbuf_scale_simple (
         pixbuf1, pix_width, pix_height, GDK_INTERP_NEAREST);
-    g_free (pixbuf1);
+    g_object_unref (pixbuf1);
     *pixmap = gtk_image_new_from_pixbuf (pixbuf2);
 
     gtk_container_add (GTK_CONTAINER (*button), *pixmap);

Thanks,

-- 
Tim Retout <tim@retout.co.uk>




Tags added: patch Request was from Tim Retout <tim@retout.co.uk> to control@bugs.debian.org. (Fri, 04 Apr 2008 21:55:19 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Alexander Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 00:18:05 GMT) Full text and rfc822 format available.

Tags removed: help Request was from Alexander Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 00:21:05 GMT) Full text and rfc822 format available.

Reply sent to Alexander Schmehl <tolimar@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to antoine_blanche <antoine_blanche@laposte.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #41 received at 442284-close@bugs.debian.org (full text, mbox):

From: Alexander Schmehl <tolimar@debian.org>
To: 442284-close@bugs.debian.org
Subject: Bug#442284: fixed in xpenguins-applet 2.1.1-6
Date: Sat, 05 Apr 2008 00:47:02 +0000
Source: xpenguins-applet
Source-Version: 2.1.1-6

We believe that the bug you reported is fixed in the latest version of
xpenguins-applet, which is due to be installed in the Debian FTP archive:

xpenguins-applet_2.1.1-6.diff.gz
  to pool/main/x/xpenguins-applet/xpenguins-applet_2.1.1-6.diff.gz
xpenguins-applet_2.1.1-6.dsc
  to pool/main/x/xpenguins-applet/xpenguins-applet_2.1.1-6.dsc
xpenguins-applet_2.1.1-6_i386.deb
  to pool/main/x/xpenguins-applet/xpenguins-applet_2.1.1-6_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 442284@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alexander Schmehl <tolimar@debian.org> (supplier of updated xpenguins-applet package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 01:00:00 +0200
Source: xpenguins-applet
Binary: xpenguins-applet
Architecture: source i386
Version: 2.1.1-6
Distribution: unstable
Urgency: medium
Maintainer: Alexander Schmehl <tolimar@debian.org>
Changed-By: Alexander Schmehl <tolimar@debian.org>
Description: 
 xpenguins-applet - GNOME2 panel applet implementation of xpenguins
Closes: 442284 459479
Changes: 
 xpenguins-applet (2.1.1-6) unstable; urgency=medium
 .
   * Droped versioned dependency on scrollkeeper (Closes: #459479)
   * Bumped standards to 3.7.3 (no changes needed)
   * Move Homepage to real Header
   * added Vcs-Svn and Vcs-Browser header
   * Fixed src/applet_main.c to avoid double free,
     thanks to Tim Retout for the patch (Closes: #442284)
     - patches/double-free.diff
     - added quilt to build depends
     - urgency medium for RC bug fix
   * Refreshed debian/copyright to make lintian happy
   * set debian/compat to 5 and build-depend on debhelper >= 5
Files: 
 ca560728e4beeb8f931ddeb8a9b3cbcf 1018 gnome optional xpenguins-applet_2.1.1-6.dsc
 cad30ca9cb2003c48d17a8c3dc842e76 9356 gnome optional xpenguins-applet_2.1.1-6.diff.gz
 b07255f7b96feee3a5ee7d68e87e1479 114830 gnome optional xpenguins-applet_2.1.1-6_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9shNBxd04ADYzRYRAgJ8AJ94bWdJf9YnM3FmO/iactX5S0CU5QCeNMkA
OyhByILPXVFpI+6myGQpVt0=
=kTwL
-----END PGP SIGNATURE-----





Reply sent to Alexander Schmehl <tolimar@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to antoine_blanche <antoine_blanche@laposte.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #46 received at 442284-close@bugs.debian.org (full text, mbox):

From: Alexander Schmehl <tolimar@debian.org>
To: 442284-close@bugs.debian.org
Subject: Bug#442284: fixed in xpenguins-applet 2.1.1-3.1etch1
Date: Fri, 11 Apr 2008 19:52:34 +0000
Source: xpenguins-applet
Source-Version: 2.1.1-3.1etch1

We believe that the bug you reported is fixed in the latest version of
xpenguins-applet, which is due to be installed in the Debian FTP archive:

xpenguins-applet_2.1.1-3.1etch1.diff.gz
  to pool/main/x/xpenguins-applet/xpenguins-applet_2.1.1-3.1etch1.diff.gz
xpenguins-applet_2.1.1-3.1etch1.dsc
  to pool/main/x/xpenguins-applet/xpenguins-applet_2.1.1-3.1etch1.dsc
xpenguins-applet_2.1.1-3.1etch1_i386.deb
  to pool/main/x/xpenguins-applet/xpenguins-applet_2.1.1-3.1etch1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 442284@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alexander Schmehl <tolimar@debian.org> (supplier of updated xpenguins-applet package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 13:17:26 +0200
Source: xpenguins-applet
Binary: xpenguins-applet
Architecture: source i386
Version: 2.1.1-3.1etch1
Distribution: stable
Urgency: low
Maintainer: Alexander Schmehl <tolimar@debian.org>
Changed-By: Alexander Schmehl <tolimar@debian.org>
Description: 
 xpenguins-applet - GNOME2 panel applet implementation of xpenguins
Closes: 364590 442284
Changes: 
 xpenguins-applet (2.1.1-3.1etch1) stable; urgency=low
 .
   * Fixed src/applet_main.c to avoid double free,
     thanks to Tim Retout for the patch (Closes: #442284, #364590)
   * Set correct maintainer
Files: 
 59a19566686992647c789446a6a4485e 843 gnome optional xpenguins-applet_2.1.1-3.1etch1.dsc
 e46f723ceeb9133011e08cfc8b109b0e 8829 gnome optional xpenguins-applet_2.1.1-3.1etch1.diff.gz
 0b29ec17c0bf07bb6c8bb334353fa209 115644 gnome optional xpenguins-applet_2.1.1-3.1etch1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH942lBxd04ADYzRYRAnKFAJsF/p3cMZhDT/sHO+TO4BgglHmq6ACfUMaA
A9uhT0rpbAsTrSJFXfy//Qc=
=c7pU
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:52:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:45:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.